/* Include this into your source */
#include "app2.h"

volatile unsigned int tick;

void Intr(void) interrupt 0
{
  tick++;
  T0IF=0;
} 

void timersetup(void)
{
  OPTION_REG=0x07; // timer 0 on int clock /256
  INTCON=0xA0;     // enable interrupts
}


#if DEMO_TIMER

#include "app2lib.h"


/* Test main */
void main() 
{
  unsigned char toggle=0;
  TRISC=0xF7;
  timersetup();
  while (1)
    {
      for (tick=0;tick<100;) APP2_LED=toggle;
      toggle^=1;
    }
}
  
#endif
